﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=10.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
'	Dim ImageChooser As ContentChooser
	Dim VerGaleriaFotos As ContentChooser
	Dim b As Bitmap
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private ButtonCancel As Button
	Private ButtonOk As Button
	Private EditTextDescriptionIU As EditText
	Private EditTextMarcaIU As EditText
	Private EditTextNameIU As EditText
	Private EditTextPrecio As EditText
	Private EditTextNumber As EditText
	Private ImageViewIU As ImageView
	Private LabelHead As Label
	Private LabelMaxChar As Label
	Private PanelTouch As Panel
	Private PanelElejir As Panel
	Private ButtonFotos As Button
	Private ButtonGaleria As Button
	Dim item_id As Int
	Dim Dirx As String
	Dim Filenamex As String
	Dim Fecha As Long
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("InsertAndUpdateLay")
	
	LabelMaxChar.Text = "Max 700/" & EditTextDescriptionIU.Text.Length
	
	If Main.Status = "U" Then
		LabelHead.Text = "Actualiza historial"
		GetSelectedRecord(Main.item_name)
	Else
		LabelHead.Text = "Inserta historial"
	End If

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


Sub ImageViewIU_Click
	PanelElejir.Visible=True
	
End Sub

Sub EventoGaleriaFotos_Result (Succes As Boolean, Dir As String, FileName As String)
    PanelElejir.Visible=False
	
	If Succes Then  ' por si canceló
		
		b.Initialize(Dir, FileName)
		ImageViewIU.Bitmap = b.Rotate(90)
		CallSubDelayed3(Main,"GetRecord",Dir,FileName)
	Else
		ToastMessageShow("No has seleccionado ninguna imagen",True)
	End If	
End Sub

Sub ButtonGaleria_Click
	VerGaleriaFotos.Initialize("EventoGaleriaFotos")

	' para llamar a la galeria
	VerGaleriaFotos.Show("image/ *jpeg","Seleccione Imagen")
'	ImageChooser.Initialize("imgChooser")
'	ImageChooser.Show("image/*","Choose image")
End Sub

Sub EditTextDescriptionIU_TextChanged (Old As String, New As String)
	
	LabelMaxChar.Text = "Max 700/" & EditTextDescriptionIU.Text.Length
			
End Sub

Sub ButtonOk_Click
	
	If EditTextNameIU.Text = "" Or EditTextMarcaIU.Text = "" Or EditTextDescriptionIU.Text = "" Then
		Msgbox("Nombre, Marca y Descripcion campos obligatorios !", "Fallo")
		Return
	End If
	If Main.Status = "U" Then
		UpdateRecord(EditTextNameIU.Text, EditTextNumber.Text, EditTextMarcaIU.Text, Fecha, EditTextPrecio.Text, Dirx, Filenamex,  EditTextDescriptionIU.Text)
		
	Else
		GetSelectedRecord(EditTextNameIU.Text)
	End If
End Sub

Sub ButtonCancel_Click
	StartActivity(Main)
	Activity.Finish
End Sub

Sub CreateRequest As DBRequestManager
	Dim req As DBRequestManager
	req.Initialize(Me, Main.exportrdcLink)
	Return req
End Sub

Sub CreateCommand(Name As String, Parameters() As Object) As DBCommand
	Dim cmd As DBCommand
	cmd.Initialize
	cmd.Name = Name
	If Parameters <> Null Then cmd.Parameters = Parameters
	Return cmd
End Sub

Sub InsertRecord(Name As String, Numero As String, Marca As String, Data As Long, Price As String, Dir As String, Filename As String,  Description As String)
	Dim cmd As DBCommand = CreateCommand("insertItem", Array(Name, Numero, Marca, Data, Price, Dir, Filename, Description))
	Dim j As HttpJob = CreateRequest.ExecuteBatch(Array(cmd), Null)
	Wait For (j) jobDone(j As HttpJob)
	ProgressDialogShow("Espere porfavor...")
	If j.Success Then
		ToastMessageShow("Añadido con exito...!", False)
	End If
	ProgressDialogHide
	j.Release
End Sub

Sub UpdateRecord(Name As String, Numero As String, Marca As String, Data As Long, Price As String, Dir As String, Filename As String,  Description As String)
	Dim cmd As DBCommand = CreateCommand("updateItem", Array(Name, Numero, Marca, Data, Price, Dir, Filename, Description,item_id))
	Dim j As HttpJob = CreateRequest.ExecuteBatch(Array(cmd), Null)
	Wait For (j) jobDone(j As HttpJob)
	ProgressDialogShow("Espere porfavor...")
	If j.Success Then
		ToastMessageShow("Actualizado con exito...!", False)
	End If
	ProgressDialogHide
	j.Release
End Sub

Sub GetSelectedRecord (NameSelectedItem As String)
	Dim req As DBRequestManager = CreateRequest
	Dim cmd As DBCommand = CreateCommand("selectedItem", Array(NameSelectedItem))
	Wait For (req.ExecuteQuery(cmd, 0, Null)) JobDone(j As HttpJob)
	ProgressDialogShow("Cargado...")
	If j.Success Then
		req.HandleJobAsync(j, "req")
		Wait For (req) req_Result(res As DBResult)
		'work with result
		'req.PrintTable(res)
'		Log(res.Columns)
		For Each row() As Object In res.Rows
			
			If Main.Status = "U" Then
				
				item_id = row(0)
				EditTextNameIU.Text = row(1)
				EditTextNumber.Text = row(2)
				EditTextMarcaIU.Text = row(3)
				Fecha = DateTime.now 
				Fecha = row(4)
				EditTextPrecio.Text = row(5)
'				Dirx = row(6)
'				Filenamex = row(7)
				EditTextDescriptionIU.Text = row(8)
				
			Else
				If res.Rows.Size > 0 Then
					ProgressDialogHide
					Msgbox("Nombre ya en uso, cambie el nombre porfavor !","Fallo")
				End If
			End If
		Next
	Else
		Log("ERROR: " & j.ErrorMessage)
	End If
	
	If res.Rows.Size = 0 Then
	
		InsertRecord(EditTextNameIU.Text, EditTextNumber.Text, EditTextMarcaIU.Text, Fecha, EditTextPrecio.Text, Dirx, Filenamex,  EditTextDescriptionIU.Text)
	End If
	
	ProgressDialogHide
	j.Release
End Sub


Sub PanelTouch_Click
	HideKeyboard
	PanelElejir.Visible=False
End Sub

Sub HideKeyboard
	Dim phone1 As Phone
	phone1.HideKeyboard(Activity)
End Sub

Sub ButtonFotos_Click
	
End Sub
'
